Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## dioscuri.module.cpu32
Class BackgroundCompiler

    java.lang.Object
      dioscuri.module.cpu32.BackgroundCompiler

All Implemented Interfaces:
  CodeBlockCompiler

    public class BackgroundCompiler

extends java.lang.Object
implements CodeBlockCompiler

Author:
  Bram Lohman, Bart Kiers

Constructor Summary
`BackgroundCompiler(CodeBlockCompiler immediate, CodeBlockCompiler delayed)`

Method Summary
`protected void` | `finalize()`
`ProtectedModeCodeBlock` | `getProtectedModeCodeBlock(InstructionSource source)`
`RealModeCodeBlock` | `getRealModeCodeBlock(InstructionSource source)`
`Virtual8086ModeCodeBlock` | `getVirtual8086ModeCodeBlock(InstructionSource source)`
`void` | `stop()`

Methods inherited from class java.lang.Object
`clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BackgroundCompiler

    public BackgroundCompiler(CodeBlockCompiler immediate,
                              CodeBlockCompiler delayed)

Parameters:
  `immediate` -
  `delayed` -

Method Detail

### stop

    public void stop()

### getRealModeCodeBlock

    public RealModeCodeBlock getRealModeCodeBlock(InstructionSource source)

  Specified by:
    `getRealModeCodeBlock` in interface `CodeBlockCompiler`
  Parameters:
    `source` -
  Returns:
    -

### getProtectedModeCodeBlock

    public ProtectedModeCodeBlock getProtectedModeCodeBlock(InstructionSource source)

  Specified by:
    `getProtectedModeCodeBlock` in interface `CodeBlockCompiler`
  Parameters:
    `source` -
  Returns:
    -

### getVirtual8086ModeCodeBlock

    public Virtual8086ModeCodeBlock getVirtual8086ModeCodeBlock(InstructionSource source)

  Specified by:
    `getVirtual8086ModeCodeBlock` in interface `CodeBlockCompiler`
  Parameters:
    `source` -
  Returns:
    -

### finalize

    protected void finalize()

  Overrides:
    `finalize` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD